Redaction in Mobile View in Vue PdfViewer Component

28 Feb 20267 minutes to read

The Redaction Tool enables permanent marking and removal of sensitive content from PDF documents in mobile view using the Vue PdfViewer component. This feature is optimized for touch interactions and provides a streamlined redaction workflow specifically designed for mobile devices.

Redaction in Mobile View

NOTE

In mobile view, the redaction toolbar appears at the bottom of the viewer for easy thumb access. The mobile layout activates automatically on small screens.

Adding Redaction in Mobile View

To enable redaction functionality in your Vue application, configure the PDF Viewer with the following setup:

<template>
  <div class="control-section">
    <ejs-pdfviewer
      id="pdfViewer"
      :resourceUrl="resourceUrl"
      :documentPath="documentPath"
      :toolbarSettings="toolbarSettings"
      style="height: 680px"
    />
  </div>
</template>

<script>
import {
  PdfViewerComponent,
  Toolbar,
  Magnification,
  Navigation,
  LinkAnnotation,
  BookmarkView,
  ThumbnailView,
  Print,
  TextSelection,
  TextSearch,
  Annotation,
  FormDesigner,
  FormFields,
  PageOrganizer
} from '@syncfusion/ej2-vue-pdfviewer';

export default {
  name: 'App',
  components: {
    'ejs-pdfviewer': PdfViewerComponent
  },
  data() {
    return {
      resourceUrl: 'https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib',
      documentPath: 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf',
      toolbarSettings: {
        toolbarItems: [
          'OpenOption',
          'UndoRedoTool',
          'PageNavigationTool',
          'MagnificationTool',
          'PanTool',
          'SelectionTool',
          'CommentTool',
          'SubmitForm',
          'AnnotationEditTool',
          'RedactionEditTool', // Redaction entry in the primary toolbar
          'FormDesignerEditTool',
          'SearchOption',
          'PrintOption',
          'DownloadOption'
        ]
      }
    };
  },
  provide: {
    PdfViewer: [
      Toolbar,
      Magnification,
      Navigation,
      Annotation,
      LinkAnnotation,
      BookmarkView,
      ThumbnailView,
      Print,
      TextSelection,
      TextSearch,
      FormFields,
      FormDesigner,
      PageOrganizer
    ]
  }
};
</script>

Understanding Mobile Redaction Toolbar Tools

When you enter redaction mode in mobile view, a specialized redaction toolbar appears with multiple tools optimized for touch interaction. Each tool serves a specific purpose in the redaction workflow.

Redaction Annotation Tool

The Redaction Annotation tool is the primary redaction feature that allows drawing redaction rectangles on specific content.

Function: Creates visual redaction annotations that mark content for permanent removal.
Usage: Touch and drag to draw rectangular redaction overlays on any content area.

Process:

  • Selected content appears with a customizable overlay (default black)
  • Annotations remain editable until explicitly applied
  • Can be repositioned or deleted before final application

Redaction Annotation Tool

Page Redaction Tool

The Page Redaction tool enables batch redaction of entire pages based on specific patterns.

Page Redaction Tool

Function: Redacts complete pages or page ranges with a single action.
Options available:

  • Odd Pages: Redacts only odd-numbered pages (1, 3, 5, etc.)
  • Even Pages: Redacts only even-numbered pages (2, 4, 6, etc.)
  • Specific Page: Specify single pages, ranges (e.g., 1-5, 10-15), or comma-separated lists (e.g., 1,3,5-7)
  • Current Page: Redacts only the currently displayed page

Usage:
Select desired pattern → Review affected pages in the viewer → Confirm redaction scope

Page Redaction Tool Dialog

Redaction Properties Tool

The Redaction Properties tool allows customization of redaction appearance before application.

Redaction Properties Mobile View

Function: Customize the visual appearance of redaction overlays and text replacement
Customizable properties:

  • Fill Color: Change the redaction overlay color (default: black)
  • Outline Color: Set outline color for redaction boxes (optional)
  • Overlay Text: Add custom text to appear on redacted areas (e.g., “REDACTED”, “CONFIDENTIAL”)
  • Text Color: Change overlay text color for better visibility
  • Text Font: Select font family for overlay text
  • Text Alignment: Position overlay text within redaction boxes
  • Text Size: Adjust overlay text size relative to redaction area

Redaction Properties Dialog Mobile View

Enabling Redaction Mode in Mobile View

Step 1: Tap the Redaction button in the mobile toolbar to activate redaction mode. The redaction toolbar will appear at the bottom of the viewer.

Redaction toolbar displayed at bottom of mobile PDF viewer with three distinct tools

Step 2: From the redaction toolbar, select your desired redaction tool:

  • First Tool (Redaction Annotation): For selective content redaction
  • Second Tool (Page Redaction): For page-wide or pattern-based redaction
  • Third Tool (Redaction Properties): For appearance customization

Step 3: Configure your redaction parameters using the selected tool interface.

Applying Different Redaction Types in Mobile View

Selective Content Redaction

  1. Select Redaction Annotation tool (first button)
  2. Choose Content: Tap and drag over text or draw rectangular areas
  3. Preview: Check redaction overlays for accuracy
  4. Apply: Tap “Apply Redactions” button

Page-Wide Redaction

  1. Select Page Redaction tool (second button)
  2. Choose Pattern: Select odd pages, even pages, or custom range
  3. Review: Verify affected pages in the viewer
  4. Apply: Confirm page redaction scope and apply

Custom Appearance Redaction

  1. Select Redaction Properties tool (third button)
  2. Customize: Adjust colors, overlay text, and formatting
  3. Preview: See changes applied to existing annotations
  4. Apply: Use customized appearance for final redaction

Applying Redactions in Mobile View

NOTE

Applying redactions is permanent. After applying, the underlying content and text are removed from the document and cannot be recovered.

Once you have configured redactions using any combination of tools.

Step 1: Review all redaction marks and configurations.

Review Redaction Annotation

Step 2: Tap the Apply Redactions button in the redaction toolbar

Apply Redaction Button

Step 3: Confirm the action when prompted - this operation is permanent and cannot be undone

Apply Redaction Dialog

The selected content will be permanently removed and replaced according to your redaction properties (solid color blocks or custom overlay text).

Applied Redaction

Removing Redaction Annotations

To remove existing redaction annotations before they are applied:

  • Step 1: Tap the Redaction Edit button in the mobile toolbar to enter annotation editing mode
  • Step 2: Tap on any existing redaction annotation you wish to remove
  • Step 3: Select Delete from the context menu that appears

Alternative: Tap redaction annotation → Use delete button in annotation properties panel

Delete Redaction Annotation

NOTE

Once redactions have been applied to the document, they become part of the PDF content and cannot be removed or modified.

See Also

Redaction in Mobile View in Angular PdfViewer Component

11 Feb 20266 minutes to read

The Redaction Tool enables permanent marking and removal of sensitive content from PDF documents in mobile view using the Angular PdfViewer component. This feature is optimized for touch interactions and provides a streamlined redaction workflow specifically designed for mobile devices.

Redaction in Mobile View

NOTE

In mobile view, the redaction toolbar appears at the bottom of the viewer for easy thumb access. The mobile layout activates automatically on small screens.

Adding Redaction in Mobile View

To enable redaction functionality in your Angular application, configure the PDF Viewer with the following setup:

import { Component, ViewChild } from '@angular/core';
import {
  PdfViewerComponent,
  ToolbarSettingsModel,
  LinkAnnotationService,
  BookmarkViewService,
  MagnificationService,
  ThumbnailViewService,
  ToolbarService,
  NavigationService,
  AnnotationService,
  TextSearchService,
  TextSelectionService,
  PrintService,
  FormFieldsService,
  FormDesignerService,
  PageOrganizerService
} from '@syncfusion/ej2-angular-pdfviewer';

@Component({
  selector: 'app-root',
  template: `
    <div class="content-wrapper">
      <ejs-pdfviewer
        #pdfviewer
        id="pdfViewer"
        [resourceUrl]="resourceUrl"
        [documentPath]="documentPath"
        [toolbarSettings]="toolbarSettings"
        style="height:640px;display:block">
      </ejs-pdfviewer>
    </div>
  `,
  providers: [
    LinkAnnotationService,
    BookmarkViewService,
    MagnificationService,
    ThumbnailViewService,
    ToolbarService,
    NavigationService,
    AnnotationService,
    TextSearchService,
    TextSelectionService,
    PrintService,
    FormFieldsService,
    FormDesignerService,
    PageOrganizerService
  ]
})
export class AppComponent {
  @ViewChild('pdfviewer', { static: true }) pdfViewer!: PdfViewerComponent;

  // Standalone mode (CDN) – keep this version aligned with your package
  public resourceUrl = 'https://cdn.syncfusion.com/ej2/31.2.2/dist/ej2-pdfviewer-lib';
  public documentPath = 'https://cdn.syncfusion.com/content/pdf/pdf-succinctly.pdf';

  // Matches your JS toolbar configuration, with RedactionEditTool included
  public toolbarSettings: ToolbarSettingsModel = {
    toolbarItems: [
      'OpenOption',
      'UndoRedoTool',
      'PageNavigationTool',
      'MagnificationTool',
      'PanTool',
      'SelectionTool',
      'CommentTool',
      'SubmitForm',
      'AnnotationEditTool',
      'RedactionEditTool',   // Redaction entry in the primary toolbar
      'FormDesignerEditTool',
      'SearchOption',
      'PrintOption',
      'DownloadOption'
    ]
  };
}

Understanding Mobile Redaction Toolbar Tools

When you enter redaction mode in mobile view, a specialized redaction toolbar appears with multiple tools optimized for touch interaction. Each tool serves a specific purpose in the redaction workflow.

Redaction Annotation Tool

The Redaction Annotation tool is the primary redaction feature that allows drawing redaction rectangles on specific content.

Function: Creates visual redaction annotations that mark content for permanent removal.
Usage: Touch and drag to draw rectangular redaction overlays on any content area.

Process:

  • Selected content appears with a customizable overlay (default black)
  • Annotations remain editable until explicitly applied
  • Can be repositioned or deleted before final application

Redaction Annotation Tool

Page Redaction Tool

The Page Redaction tool enables batch redaction of entire pages based on specific patterns.

Page Redaction Tool

Function: Redacts complete pages or page ranges with a single action.
Options available:

  • Odd Pages: Redacts only odd-numbered pages (1, 3, 5, etc.)
  • Even Pages: Redacts only even-numbered pages (2, 4, 6, etc.)
  • Specific Page: Specify single pages, ranges (e.g., 1-5, 10-15), or comma-separated lists (e.g., 1,3,5-7)
  • Current Page: Redacts only the currently displayed page

Usage:
Select desired pattern → Review affected pages in the viewer → Confirm redaction scope

Page Redaction Tool Dialog

Redaction Properties Tool

The Redaction Properties tool allows customization of redaction appearance before application.

Redaction Properties Mobile View

Function: Customize the visual appearance of redaction overlays and text replacement.
Customizable properties:

  • Fill Color: Change the redaction overlay color (default: black)
  • Outline Color: Set outline color for redaction boxes (optional)
  • Overlay Text: Add custom text to appear on redacted areas (e.g., “REDACTED”, “CONFIDENTIAL”)
  • Text Color: Change overlay text color for better visibility
  • Text Font: Select font family for overlay text
  • Text Alignment: Position overlay text within redaction boxes
  • Text Size: Adjust overlay text size relative to redaction area

Redaction Properties Dialog Mobile View

Enabling Redaction Mode in Mobile View

Step 1: Tap the Redaction button in the mobile toolbar to activate redaction mode. The redaction toolbar will appear at the bottom of the viewer.

Redaction toolbar displayed at bottom of mobile PDF viewer with three distinct tools

Step 2: From the redaction toolbar, select your desired redaction tool:

  • First Tool (Redaction Annotation): For selective content redaction
  • Second Tool (Page Redaction): For page-wide or pattern-based redaction
  • Third Tool (Redaction Properties): For appearance customization

Step 3: Configure your redaction parameters using the selected tool interface.

Applying Different Redaction Types in Mobile View

Selective Content Redaction

  1. Select Redaction Annotation tool (first button)
  2. Choose Content: Tap and drag over text or draw rectangular areas
  3. Preview: Check redaction overlays for accuracy
  4. Apply: Tap “Apply Redactions” button

Page-Wide Redaction

  1. Select Page Redaction tool (second button)
  2. Choose Pattern: Select odd pages, even pages, or custom range
  3. Review: Verify affected pages in the viewer
  4. Apply: Confirm page redaction scope and apply

Custom Appearance Redaction

  1. Select Redaction Properties tool (third button)
  2. Customize: Adjust colors, overlay text, and formatting
  3. Preview: See changes applied to existing annotations
  4. Apply: Use customized appearance for final redaction

Applying Redactions in Mobile View

NOTE

Applying redactions is permanent. After applying, the underlying content and text are removed from the document and cannot be recovered.

Once you have configured redactions using any combination of tools.

Step 1: Review all redaction marks and configurations.

Review Redaction Annotation

Step 2: Tap the Apply Redactions button in the redaction toolbar

Apply Redaction Button

Step 3: Confirm the action when prompted - this operation is permanent and cannot be undone

Apply Redaction Dialog

The selected content will be permanently removed and replaced according to your redaction properties (solid color blocks or custom overlay text).

Applied Redaction

Removing Redaction Annotations

To remove existing redaction annotations before they are applied:

  • Step 1: Tap the Redaction Edit button in the mobile toolbar to enter annotation editing mode
  • Step 2: Tap on any existing redaction annotation you wish to remove
  • Step 3: Select Delete from the context menu that appears

Alternative: Tap redaction annotation → Use delete button in annotation properties panel

Delete Redaction Annotation

NOTE

Once redactions have been applied to the document, they become part of the PDF content and cannot be removed or modified.

See Also